<div class="input-col-options m-2" ...attributes {{did-update this.reset @selectionId}}>
  <div class="form-floating mb-3">
    <Input id="{{this.elementId}}-name" class="input-col-name form-control" placeholder={{capitalize (t "name")}}
      @value={{this.name}} />
    <label for="{{this.elementId}}-name">{{capitalize (t "name")}}</label>
  </div>

  <div class="form-floating mb-3">
    <Input id="{{this.elementId}}-component-count" @type="number" class="input-col-component-count form-control"
      placeholder={{capitalize (t "component-count")}} @value={{this.componentCount}} />
    <label for="{{this.elementId}}-component-count">{{capitalize (t "component count")}}</label>
  </div>

  {{#if (gt this.componentCount 1)}}
    <Editor::Properties::OptionContainer @label={{t "option-panel.component-margin"}}>
      <Input::Select id="{{this.elementId}}-top-padding" class="input-col-component-margin"
        @list={{this.availableMargins}} @value={{this.componentMargin}} @onChange={{this.componentMarginChange}} />
    </Editor::Properties::OptionContainer>
  {{/if}}

  <div class="form-floating mb-3">
    <Input::Select class="input-display-mode" id="{{this.elementId}}-input-display-mode" @list={{this.allDisplayValues}}
      @value={{this.displayMode}} @onChange={{this.changeDisplayMode}} />
    <label for="{{this.elementId}}-input-display-mode">{{capitalize (t "display mode")}}</label>
  </div>

  <Editor::Properties::ResponsiveValue @label={{t "order"}} @deviceSize={{@deviceSize}} as |size|>
    <Editor::Properties::Order @size={{size}} @options={{this.options}} @onChange={{this.changeOptions}} />
  </Editor::Properties::ResponsiveValue>
</div>